using System.Collections;
using System.Collections.Generic;
using Godot;
using System;
using System.Threading.Tasks;


#if TOOLS

namespace Rokojori.Tools
{
  public class GLTFExport
  {
    public static void Save( Node3D node, string path, string temporaryPath = "res://--temporary--" )
    {
      var state = new GltfState();

      var doc = new GltfDocument();
      doc.AppendFromScene( node, state );
      doc.WriteToFilesystem( state, path );

      return;
    }
  }
}

#endif